{
	//script to be loaded in statesRatioFitting* scripts
	//
	

	//experiment
	TChain *che = BeWork::OpenChain("../../../be/rootdata/correlations/Be.",
			lowfile, upfile, "beonly");										//original file
	Info("statesRatioFitting.cxx", "%d events in chain \"%s\" containing experimental data",
			che->GetEntries(), che->GetName());


	TChain *chsAl0 = BeWork::OpenChain(chainAl0name.Data(),
			lowSimFile[0], upSimFile[0], "simbe", 4, "sbeam");
	Info("statesRatioFitting.cxx", "%d events in chain \"%s\" containing simulated data", chsAl0->GetEntries(), chsAl0->GetName());
	TTree *tiAl0 = BeWork::OpenTree(inputTreeAl0name.Data(), "sbeam", 2);
//	tiAl0->SetLineWidth(2);

	TChain *chsNoAl0 = BeWork::OpenChain(chainNoAl0name.Data(),
			lowSimFile[1], upSimFile[1], "simbe", 4, "sbeam");
	Info("statesRatioFitting.cxx", "%d events in chain \"%s\" containing simulated data", chsNoAl0->GetEntries(), chsNoAl0->GetName());
	TTree *tiNoAl0 = BeWork::OpenTree(inputTreeNoAl0name.Data(), "sbeam", 2);
//	tiNoAl0->SetLineWidth(2);
//
	TChain *chsAl180 = BeWork::OpenChain(chainAl180name.Data(),
			lowSimFile[2], upSimFile[2], "simbe", 4, "sbeam");
	Info("statesRatioFitting.cxx", "%d events in chain \"%s\" containing simulated data", chsAl180->GetEntries(), chsAl180->GetName());
	TTree *tiAl180 = BeWork::OpenTree(inputTreeAl180name.Data(), "sbeam", 2);
//	tiAl180->SetLineWidth(2);

	TChain *chsNoAl180 = BeWork::OpenChain(chainNoAl180name.Data(),
			lowSimFile[3], upSimFile[3], "simbe", 4, "sbeam");
	Info("statesRatioFitting.cxx", "%d events in chain \"%s\" containing simulated data", chsNoAl180->GetEntries(), chsNoAl180->GetName());
	TTree *tiNoAl180 = BeWork::OpenTree(inputTreeNoAl180name.Data(), "sbeam", 2);
//	tiNoAl180->SetLineWidth(2);

	TChain *chsAl90 = BeWork::OpenChain(chainAl90name.Data(),
			lowSimFile[4], upSimFile[4], "simbe", 4, "sbeam");
	Info("statesRatioFitting.cxx", "%d events in chain \"%s\" containing simulated data", chsAl90->GetEntries(), chsAl90->GetName());
	TTree *tiAl90 = BeWork::OpenTree(inputTreeAl90name.Data(), "sbeam", 2);
//	tiAl90->SetLineWidth(2);

	TChain *chsNoAl90 = BeWork::OpenChain(chainNoAl90name.Data(),
			lowSimFile[5], upSimFile[5], "simbe", 4, "sbeam");
	Info("statesRatioFitting.cxx", "%d events in chain \"%s\" containing simulated data", chsNoAl90->GetEntries(), chsNoAl90->GetName());
	TTree *tiNoAl90 = BeWork::OpenTree(inputTreeNoAl90name.Data(), "sbeam", 2);
//	tiNoAl90->SetLineWidth(2);

}
