################################################################################
# AculData input with some variables
################################################################################

ACULDATALIBS := -lCore -lCint -lRIO -lTree -lNet -lThread -lHist -lMatrix -lMathCore -lGpad -lGraf

# Add inputs and outputs from these tool invocations to the build variables 
ACULDATA_HEADERS += \
$(ACULDATA)/AculCalibration.h \
$(ACULDATA)/AculConvert.h \
$(ACULDATA)/AculRaw.h \
$(ACULDATA)/ConfigDictionary.h \
$(ACULDATA)/linkdef.h

ACULDATACPP_SRCS += \
$(ACULDATA)/AculCalibration.cpp \
$(ACULDATA)/AculConvert.cpp \
$(ACULDATA)/AculRaw.cpp \
$(ACULDATA)/ConfigDictionary.cpp \
$(ACULDATA)/AculDataCint.cpp

ACULDATAOBJS += \
$(ACULDATA)/AculCalibration.o \
$(ACULDATA)/AculConvert.o \
$(ACULDATA)/AculRaw.o \
$(ACULDATA)/ConfigDictionary.o \
$(ACULDATA)/AculDataCint.o

ACULDATACPP_DEPS += \
$(ACULDATA)/AculCalibration.d \
$(ACULDATA)/AculConvert.d \
$(ACULDATA)/AculRaw.d \
$(ACULDATA)/ConfigDictionary.d